# Delete a plan Deleting plans means new subscribers can’t be added. Existing subscribers aren’t affected. ## Prerequisites Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s). 1. createProduct POST /v1/products {"name":"Gold Plan"} 2. createPlan POST /v1/plans {"amount":1200,"currency":"usd","interval":"month","product":"${node.prerequisites.createProduct.createProduct:id}"} ## Request ```curl curl -X DELETE https://api.stripe.com/v1/plans/{{PLAN_ID}} \ -u "<>" ``` ### Response ```json { "id": "plan_NjpIbv3g3ZibnD", "object": "plan", "deleted": true } ``` ## Returns An object with the deleted plan’s ID and a deleted flag upon success. Otherwise, this call raises [an error](https://docs.stripe.com/api/errors.md), such as if the plan has already been deleted.